org.apache.fontbox.ttf.table.common

## Class CoverageTable

- java.lang.Object
- - org.apache.fontbox.ttf.table.common.CoverageTable

Direct Known Subclasses:
  CoverageTableFormat1

    public abstract class CoverageTable
    extends Object

This class models the Coverage Table in the Open Type layout common tables.

Author:
  Palash Ray

### Constructor Summary

Constructors
Constructor and Description
`CoverageTable(int coverageFormat)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`int` `getCoverageFormat()`
`abstract int` `getCoverageIndex(int gid)`
`abstract int` `getGlyphId(int index)`
`abstract int` `getSize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CoverageTable

    public CoverageTable(int coverageFormat)

### Method Detail

#### getCoverageIndex

    public abstract int getCoverageIndex(int gid)

#### getGlyphId

    public abstract int getGlyphId(int index)

#### getSize

    public abstract int getSize()

#### getCoverageFormat

    public int getCoverageFormat()